Author Topic: How to offset bpoly with varying distances  (Read 1817 times)

0 Members and 1 Guest are viewing this topic.

nobody

  • Swamp Rat
  • Posts: 861
  • .net stuff
How to offset bpoly with varying distances
« on: July 08, 2015, 03:00:18 AM »
Anyone know how to do this?  I need all sides equal except the one.  Preferably the one would all be on the side I designate. 

Q1241274614

  • Guest
Re: How to offset bpoly with varying distances
« Reply #1 on: July 08, 2015, 03:13:30 AM »
(defun c:tt() (vl-load-com)
  (while (setq pt (getpoint "\n插入点"))
  (command "-boundary" pt "" )
  (setq en (entlast))
  (entmakex (list (cons 0 "TEXT")         
                    (cons 10 pt)
                    (cons 1 (rtos (vla-get-Area  (vlax-ename->vla-object en)) 2 2))
                    (cons 40 5))
       )
  (entdel en)
 )
  (princ)
)
« Last Edit: July 08, 2015, 03:27:26 AM by 77077扌喿你女马真的很爽 »

BKT

  • Newt
  • Posts: 27
Re: How to offset bpoly with varying distances
« Reply #2 on: July 13, 2015, 09:05:10 PM »
Alien,

Did you have any luck with this?

nobody

  • Swamp Rat
  • Posts: 861
  • .net stuff
Re: How to offset bpoly with varying distances
« Reply #3 on: July 25, 2015, 10:24:54 PM »
Na...getting close myself though. It's tough but will figure it out.

BKT

  • Newt
  • Posts: 27
Re: How to offset bpoly with varying distances
« Reply #4 on: July 26, 2015, 12:08:47 PM »
Best I came up with was code using boundaries and offsets.  Only works with straight edged offsets like the ones in your pic but would be harder for curves/arcs.

Stefan

  • Bull Frog
  • Posts: 319
  • The most I miss IRL is the Undo button
Re: How to offset bpoly with varying distances
« Reply #5 on: July 26, 2015, 02:45:51 PM »
Just as exercise...
Explode polyline, offset each line/arc, create boundary.